#include <pic.h>

#include "freg.h"

#define ftm PIC_CLK/4.0
#define fi 50

#define tm_all (int)(65536 - (ftm/fi))


//-----------------------------------------------------
#define divid0 0 //    1 t1ckps0
#define divid1 0 //    1 t1ckps1
// 00 :1  01 :2  10 :4   11 :8
//----------------------------------------------------


#define BITSET(var,bitno) ((var) |= 1 << (bitno))   
#define BITCLR(var,bitno) ((var) &= ~(1 << (bitno)))
#define BITTST1(var,bitno) ((var) & (1 << (bitno))) 
#define grad                 RA4
#define grad_set             TRISA4   
#define grad_read            RA4
#define grad_On()            grad=1;
#define grad_Off()           grad=0;
#define grad_in()            grad_set=1;
#define grad_out()           grad_set=0;


#define displ() {temp=str[count_r];PORTB=arr[temp]+minus;}
#define pause_() {DelayBigUs(500);}
#define pause_100() {DelayBigUs(100);}
#define pause_70() {DelayBigUs(70);}
#define pause_50() {DelayBigUs(50);}

#define serial_error()        OERR
#define nostop()              FERR
#define serial_fix()        {CREN = 0; CREN = 1;}
#define vbod 9600
#define SPBRG_ ((PIC_CLK /vbod) -16)/16 


//unsigned char massiv[8];
 union
{
	struct{
			unsigned char lo;
			unsigned char hi;
			}bt;
		unsigned int sl;
		}un;
 union
{
	struct{
			unsigned char lo;
			unsigned char hi;
			}bt;
		unsigned int s;
		}un1;

static bit minus,nol5;
//unsigned char str[3];
unsigned char count_r;
unsigned char nom;
void init_(void);
//void inttostr(unsigned int tmp);
unsigned char  reset_(void);
unsigned char  read_byte(void);
void out_byte(unsigned char temp);

